# disable underlinking, it doesn't work well with plugins
%define _disable_ld_no_undefined 1

Summary: GNOME Settings Daemon
Name: gnome-settings-daemon
Version: 2.32.1
Release: %mkrel 2
License: GPLv2+
Group: Graphical desktop/GNOME
BuildRequires:	gnome-desktop-devel >= 2.25.3
BuildRequires:	libgnomeui2-devel
BuildRequires:	libglade2.0-devel
BuildRequires:  libxklavier-devel >= 3.3
BuildRequires:  libxxf86misc-devel
BuildRequires:  libgstreamer-plugins-base-devel
BuildRequires:  libxscrnsaver-devel
BuildRequires:	dbus-glib-devel
BuildRequires:	libgnomekbd-devel >= 2.21.4
BuildRequires:	libnotify-devel
BuildRequires:	scrollkeeper
BuildRequires:	intltool
BuildRequires:  libpulseaudio-devel
Source0: 	ftp://ftp.gnome.org/pub/GNOME/sources/%name/%{name}-%{version}.tar.xz
Source1:	libmedia-keys.so
Source2: 	media-keys.gnome-settings-plugin
# Mandriva patches
Patch1:	gnome-settings-daemon-2.23.6-dpi.patch
Patch2: gnome-settings-daemon-2.28.0-fix-touchpad.patch
Patch3: gnome-settings-daemon-2.27.4-touchpad-defaults.patch
# ----------------
Requires: gstreamer0.10-plugins-base
Requires: gstreamer0.10-plugins-good
BuildRoot: %{_tmppath}/%{name}-%{version}-root
URL: http://www.gnome.org/softwaremap/projects/control-center/
Requires:   glibc >= 2.10.1
Requires:   libstdc++6 >= 4.4.1
Requires: gnome-screensaver
Requires: gnome-desktop >= 2.23.2
Requires: gnome-themes
Requires: metacity
Conflicts: gnome-control-center < 2.21.90

%description
GNOME settings daemon manages the configuration of the desktop in the
background.

#german
%description -l de
GNOME-Einstellungen-Daemon verwaltet die Konfiguration der Desktop in der
Hintergrund.

#french
%description -l fr
Paramètres démon GNOME gère la configuration du bureau dans le
arrière-plan.

#spanish
%description -l es
Configuración de GNOME demonio administra la configuración del escritorio en el
fondo.

#polish
%description -l pl
Demon ustawień GNOME.

#serbian
%description -l sr
Гном поставке демон управља конфигурацију радне површине у
позадина.

#dutch
%description -l nl
GNOME instellingen daemon beheert de configuratie van de desktop in de
achtergrond.


%package devel
Summary:	Include files for the GNOME settings daemon
Group:		Development/GNOME and GTK+
Conflicts: libgnome-window-settings-devel < 2.21.5

%description devel
Include files for the GNOME settings daemon

%prep
%setup -q 
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%configure2_5x --enable-gstreamer=0.10 --disable-pulse

%make

%install
rm -rf $RPM_BUILD_ROOT

GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std

%{find_lang} %name-2.0 --with-gnome --all-name

#rm -f %buildroot%_libdir/%name-2.0/*a

# tip from Don Crissti how to fix media keys
#mkdir -p %{buildroot}/%{_libdir}/gnome-settings-daemon-2.0/
install -m755 %SOURCE1 %{buildroot}/%{_libdir}/gnome-settings-daemon-2.0/
install -m755 %SOURCE2 %{buildroot}/%{_libdir}/gnome-settings-daemon-2.0/

%clean
rm -rf $RPM_BUILD_ROOT

%pre
if [ -d %{_libexecdir}/%name ]
  then rm -rf %{_libexecdir}/%name 
fi

%post
%define schemas apps_gnome_settings_daemon_keybindings apps_gnome_settings_daemon_housekeeping apps_gnome_settings_daemon_xrandr desktop_gnome_font_rendering desktop_gnome_keybindings desktop_gnome_peripherals_touchpad gnome-settings-daemon desktop_gnome_peripherals_smartcard

%post_install_gconf_schemas %schemas
%update_icon_cache hicolor

%preun
%preun_uninstall_gconf_schemas %schemas

%postun
%clean_icon_cache hicolor

%files -f %{name}-2.0.lang
%defattr(-, root, root)
%doc AUTHORS NEWS README
%config(noreplace) %{_sysconfdir}/xdg/autostart/gnome-settings-daemon.desktop
%{_sysconfdir}/gconf/schemas/apps_gnome_settings_daemon_keybindings.schemas
%{_sysconfdir}/gconf/schemas/apps_gnome_settings_daemon_housekeeping.schemas
%{_sysconfdir}/gconf/schemas/apps_gnome_settings_daemon_xrandr.schemas
%{_sysconfdir}/gconf/schemas/desktop_gnome_font_rendering.schemas
%{_sysconfdir}/gconf/schemas/desktop_gnome_keybindings.schemas
%{_sysconfdir}/gconf/schemas/desktop_gnome_peripherals_touchpad.schemas
%{_sysconfdir}/gconf/schemas/gnome-settings-daemon.schemas
%{_sysconfdir}/gconf/schemas/desktop_gnome_peripherals_smartcard.schemas
%_datadir/gnome-control-center/keybindings/50-accessibility.xml
%_datadir/%name
%_datadir/icons/hicolor/*/apps/*
%{_libexecdir}/%name
%{_libexecdir}/gsd-locate-pointer
%{_libdir}/%name-2.0/*.*
%{_datadir}/dbus-1
%{_datadir}/icons/hicolor/*/actions/*.*
%{_sysconfdir}/dbus-1/system.d
%{_libdir}/gsd-datetime-mechanism
%{_datadir}/polkit-1

%files devel
%defattr(-, root, root)
%doc ChangeLog
%{_includedir}/*
%{_libdir}/pkgconfig/*


%changelog
* Sat Jan 01 2011 siamer <siamer@wp.pl> 2.32.1-2pclos2011
- trying to fix media keys in gnome

* Tue Nov 16 2010 Texstar <texstar at gmail.com> 2.32.1-1pclos2010
- 2.32.1

* Wed Sep 29 2010 Texstar <texstar at gmail.com> 2.32.0-2pclos2010
- fix build

* Wed Sep 28 2010 siamer <siamer@wp.pl> 2.32.0-1pclos2010
- new version

* Tue Jun 22 2010 siamer <siamer@wp.pl> 2.30.2-1pclos2010
- new version
- patche no need anymore: 4,

* Mon May 17 2010 Texstar <texstar at gmail.com> 2.30.1-2pclos2010
- update patchset

* Mon Apr 26 2010 Texstar <texstar at gmail.com> 2.30.1-1pclos2010
- 2.30.1

* Wed Mar 31 2010 Texstar <texstar at gmail.com> 2.30.0-1pclos2010
- 2.30.0

* Fri Jan 22 2010 Texstar <texstar at gmail.com> 2.28.1-4pclos2010
- rebuild libtool 2.26

* Sun Jan 03 2010 Texstar <texstar at gmail.com> 2.28.1-3pclos2010
- rebuild 

* Thu Dec 17 2009 Texstar <texstar at gmail.com> 2.28.1-2pclos2010
- rebuild

* Fri Oct 23 2009 slick50 <lxgator at gmail.com> 2.28.1-1pclos2010
- 2.28.1

* Sat Oct 10 2009 Texstar <texstar at gmail.com> 2.28.0-2pclos2010
- system rebuild

* Sun Oct 04 2009 slick50 <lxgator@gmail.com> 2.28.0-1pclos2010
- 2.28.0

* Fri Aug 28 2009 Texstar <texstar@gmail.com> 2.26.1-2pclos2009
- update patchset

* Sun May 17 2009 slick50 <lxgator@gmail.com> 2.26.1-1pclos2009
- import -- missing in repo
